Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32020)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32021)
@@ -10,5 +10,5 @@
 <Text id="0001">Greenstone tutorial exercises (2016)</Text>
 </Title>
-<MajorVersion number="2"><Version current="2.86"/></MajorVersion>
+<MajorVersion number="2"><Version current="2.87"/></MajorVersion>
 <MajorVersion number="3"><Version current="3.08"/></MajorVersion>
 <SupplementaryText>
@@ -382,5 +382,5 @@
 <Text id="0193">Installing Greenstone</Text>
 </Title>
-<Version initial="2.60" current="2.86"/>
+<Version initial="2.60" current="2.87"/>
 <Content>
 <Heading>
@@ -441,5 +441,5 @@
 </Bullet>
 </BulletList>
-<Text id="0218">To invoke the Greenstone Reader's Interface, go to the <i>Greenstone-2.86</i> item under <i>All Programs</i> on the Windows <i>Start</i> menu and select <i>Greenstone Server</i>, once the server window is displayed click &lt;<b>Enter Library</b>&gt;.</Text>
+<Text id="0218">To invoke the Greenstone Reader's Interface, go to the <i>Greenstone-2.87</i> item under <i>All Programs</i> on the Windows <i>Start</i> menu and select <i>Greenstone Server</i>, once the server window is displayed click &lt;<b>Enter Library</b>&gt;.</Text>
 <Text id="0219">To invoke the Greenstone Librarian Interface, go to the same item and select <i>Librarian Interface (GLI)</i>.</Text>
 </Content>
@@ -452,5 +452,5 @@
 </Title>
 <Prerequisite id="install_greenstone"/>
-<Version initial="2.60" current="2.86"/>
+<Version initial="2.60" current="2.87"/>
 <Content>
 <Comment>
@@ -507,5 +507,5 @@
 </Title>
 <SampleFiles folder="simple_html"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -519,5 +519,5 @@
   <MajorVersion number="2">
 <Menu>
-<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone-2.86 &rarr; Librarian Interface (GLI)</Text>
+<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone-2.87 &rarr; Librarian Interface (GLI)</Text>
 </Menu>
   </MajorVersion>
@@ -615,5 +615,5 @@
 </Title>
 <SampleFiles folder="images"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -870,5 +870,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -979,5 +979,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.70w|3.06" current="2.86|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -1242,5 +1242,5 @@
 <SampleFiles folder="pdfbox"/>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85|3.06" current="2.86|3.08"/>
+<Version initial="2.85|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -1287,5 +1287,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.70|3.06" current="2.86|3.08"/>
+<Version initial="2.70|3.06" current="2.87|3.08"/>
 <Content>
 <Text id="ep-2">Greenstone converts PDF files to HTML using third-party software: <AutoText text="pdftohtml.pl" type="italics"/>. This lets users view these documents even if they don't have the PDF software installed. Unfortunately, sometimes the formatting of the resulting HTML files is not so good. This exercise explores some extra options to the PDF plugin which may produce a nicer version for display.</Text>
@@ -1500,5 +1500,5 @@
 <Text id="ew-a">Enhanced Word document handling</Text>
 </Title>
-<Version initial="2.70w|3.06" current="2.86|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.08"/>
 <Prerequisite id="word_pdf_collection"/>
 <Content>
@@ -1624,5 +1624,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.85|3.06" current="2.86|3.08"/>
+<Version initial="2.85|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -1785,5 +1785,5 @@
 <Text id="0403">Exporting a collection to CD-ROM/DVD</Text>
 </Title>
-<Version initial="2.60" current="2.86"/>
+<Version initial="2.60" current="2.87"/>
 <Content>
 <Comment>
@@ -1811,5 +1811,5 @@
 </Title>
 <SampleFiles folder="tudor"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -1873,5 +1873,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -1982,5 +1982,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <NumberedItem>
@@ -2290,8 +2290,8 @@
 <Text id="st-1">Section tagging for HTML documents</Text>
 </Title>
-<Version initial="2.70w|3.06" current="2.86|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.08"/>
 <Content>
 <NumberedItem>
-<Text id="st-1a">In a browser, visit the Greenstone demo collection and have a ook at it. Browse to one of the documents. This collection is based on HTML files, but they appear structured in the collection. This is because these HTML files were tagged by hand into sections.</Text>
+<Text id="st-1a">In a browser, visit the Greenstone demo collection and have a look at it. Browse to one of the documents. This collection is based on HTML files, but they appear structured in the collection. This is because these HTML files were tagged by hand into sections.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2365,5 +2365,5 @@
 <Text id="0411">Downloading files from the web</Text>
 </Title>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -2410,5 +2410,5 @@
 </Title>
 <Prerequisite id="downloading_from_internet"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <NumberedItem>
@@ -2459,5 +2459,5 @@
 </Title>
 <SampleFiles folder="marc"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -2731,5 +2731,5 @@
 </Title>
 <SampleFiles folder="isis"/>
-<Version initial="2.70w|3.06" current="2.86|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -2850,5 +2850,5 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="2.70" current="2.86"/>
+<Version initial="2.70" current="2.87"/>
 <Content>
 <Text id="mf-2">The appearance of all pages produced by Greenstone is governed by macro files, which reside in the folder <Path>Greenstone &rarr; macros</Path>, and images and CSS stylesheets reside in <Path>Greenstone &rarr; web &rarr; style</Path>.</Text>
@@ -2942,5 +2942,5 @@
 <Text id="mf-73-1">Changing the colour of the page title and page text</Text>
 </Heading>
-<Text id="mf-17">In the previous exercises we changed a single collection. Now we change all the pages in our Greenstone installation by modifying style and macro files outside the Librarian Interface. First, we format the page so that some other parts are blue. Preview any collection after each change to make sure that it has worked properly. On Windows, macro file changes require a restart of the Greenstone local library server. Stylesheet changes may require a forced reload in the web browser.</Text>
+<Text id="mf-17">In the previous exercises we changed a single collection. Now we change all the pages in our Greenstone installation by modifying style and macro files outside the Librarian Interface. First, we format the page so that some other parts are blue. Preview any collection after each change to make sure that it has worked properly. On Windows, macro file changes may require a restart of the Greenstone local library server. Stylesheet changes may require a forced reload in the web browser.</Text>
 <Comment>
 <Text id="mf-17-1">Note, use any collection <b>except</b> the reports collection to preview the following changes. Because the reports collection has been modified to use its own custom stylesheet, changes to the main stylesheet won't have any effect on it.</Text>
@@ -2966,5 +2966,5 @@
 </Bullet>
 </BulletList>
-<Text id="mf-27b">Preview the collection. You might want to reload the page. Now text in the page body is a light green color (teal), and the font of the collection title has changed from black to blue.</Text>
+<Text id="mf-27b">Preview the collection. You may need to force the browser to reload the page to see the changes in effect, or else may need to restart the Greenstone server. Now text in the page body is a light green color (teal), and the font of the collection title has changed from black to blue.</Text>
 </NumberedItem>
 <comment>(If a collection title image is used, you won't see the change on the collection title.)</comment>
@@ -3010,5 +3010,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="mf-15">Preview the home page in a web browser. On Windows, restart the Greenstone library server. On unix systems, You may need to reload pages in order to see the changes take effect, as the browser may at first display cached versions of pages you'd already visited earlier. The header of the home page, and the background of every page of each collection (except <i>reports</i>, which uses a custom _cssheader_ macro) should now use the new graphics, and the green box background images are no longer present on the collection pages.</Text>
+<Text id="mf-15">Preview the home page in a web browser. On Windows, if forcing the browser to reload the pages does not show the changes in effect, restart the Greenstone library server before reloading the pages in the browser. On unix systems, you may need to reload pages in order to see the changes take effect, as the browser may at first display cached versions of pages you'd already visited earlier. The header of the home page, and the background of every page of each collection (except <i>reports</i>, which uses a custom _cssheader_ macro) should now use the new graphics, and the green box background images are no longer present on the collection pages.</Text>
 </NumberedItem>
 <Heading>
@@ -3029,5 +3029,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="mf-47">Preview the newly structured home page in a web browser. (On Windows, restart the Greenstone library server.) Look at the file macros/yourhome.dm in a text editor to see how these changes are expressed.</Text>
+<Text id="mf-47">Preview the newly structured home page in a web browser. (On Windows, force reload the browser or else restart the Greenstone library server before reloading the pages in the browser.) Look at the file macros/yourhome.dm in a text editor to see how these changes are expressed.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3279,5 +3279,5 @@
 </Title>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <NumberedItem>
@@ -3333,5 +3333,5 @@
 <Prerequisite id="multimedia_collection_explore"/>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -3865,5 +3865,5 @@
 </Title>
 <SampleFiles folder="niupepa"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -4205,5 +4205,5 @@
 <SampleFiles folder="niupepa"/>
 <Prerequisite id="scanned_image_collection"/>
-<Version initial="2.70|3.06" current="2.86|3.08"/>
+<Version initial="2.70|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -4336,5 +4336,5 @@
 </Title>
 <SampleFiles folder="oai"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -4526,5 +4526,5 @@
 </Title>
 <Prerequisite id="simple_image_collection"/>
-<Version initial="2.85|3.06" current="2.86|3.08"/>
+<Version initial="2.85|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -4553,5 +4553,5 @@
 <NumberedItem>
 <MajorVersion number="2">
-<Text id="oaiserver-9">You are now ready to visit your oaiserver home page to check that it's all looking good. Start up the Greenstone Server by going to Windows <Path>Start &rarr; All Programs &rarr; Greenstone 2.86 &rarr; Greenstone Server</Path>.</Text>
+<Text id="oaiserver-9">You are now ready to visit your oaiserver home page to check that it's all looking good. Start up the Greenstone Server by going to Windows <Path>Start &rarr; All Programs &rarr; Greenstone 2.87 &rarr; Greenstone Server</Path>.</Text>
 </MajorVersion>
 <MajorVersion number="3">
@@ -4662,5 +4662,5 @@
 </Title>
 <Prerequisite id="GS_OAI_server"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -4721,5 +4721,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0740">Before you start, you must set up your Greenstone environment in the terminal. In the DOS window, move to the home directory where you installed Greenstone. This is accomplished by something like:</Text>
+<Text id="0740">Before you start, you must set up your Greenstone environment in the terminal. In the DOS window or terminal, move to the home directory where you installed Greenstone. This is accomplished by something like:</Text>
 <Command>cd C:\Program Files\Greenstone</Command> 
 </NumberedItem>
@@ -4782,5 +4782,5 @@
 <Text id="0750">Use METS as Greenstone's Internal Representation</Text>
 </Title>
-<Version initial="2.60" current="2.86"/>
+<Version initial="2.60" current="2.87"/>
 <Content>
 <NumberedItem>
@@ -4812,5 +4812,5 @@
 </Title>
 <SampleFiles folder="dspace"/>
-<Version initial="2.60" current="2.86"/>
+<Version initial="2.60" current="2.87"/>
 <Content>
 <NumberedItem>
@@ -4941,5 +4941,5 @@
 </Title>
 <Prerequisite id="dspace_to_greenstone"/>
-<Version initial="2.60|3.06" current="2.86|3.08"/>
+<Version initial="2.60|3.06" current="2.87|3.08"/>
 <Content>
 <Comment>
@@ -4992,5 +4992,5 @@
 <Text id="gems-1">Editing metadata sets</Text>
 </Title>
-<Version initial="2.70w|3.06" current="2.86|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.08"/>
 <Content>
 <Text id="gems-2">GEMS (Greenstone Editor for Metadata Sets) can be used to modify existing metadata sets or create new ones. GEMS is launched from the Librarian Interface when you want to create a new metadata set, or edit an existing one. In this exercise, we run GEMS outside of the Librarian Interface.</Text>
@@ -5000,5 +5000,5 @@
 <NumberedItem>
 <Text id="gems-4">Start the Greenstone Editor for Metadata Sets (GEMS)</Text>
-<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.86 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.08 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
+<Text id="gems-5"><MajorVersion number="2"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.87 &rarr; Metadata Set Editor (GEMS)</Menu></MajorVersion><MajorVersion number="3"><Menu>Start &rarr; All Programs &rarr; Greenstone-3.08 &rarr; Greenstone Editor for Metadata Sets (GEMS)</Menu></MajorVersion></Text>
 <Text id="gems-5a">(If you're on Linux, use a terminal to run the <Command>gli/gems.sh</Command> start-up script.) </Text>
 </NumberedItem>
@@ -5034,5 +5034,5 @@
 </Title>
 <MajorVersion number="2"><SampleFiles folder="demo"/></MajorVersion>
-<Version initial="2.70w|3.06" current="2.86|3.08"/>
+<Version initial="2.70w|3.06" current="2.87|3.08"/>
 <Content>
 <Text id="indexers-2">Greenstone supports three indexers <b>MG</b>, <b>MGPP</b> and <b>Lucene</b>. </Text>
@@ -5214,5 +5214,5 @@
 <SampleFiles folder="demo_NewFiles"/>
 <Prerequisite id="indexers"/>
-<Version initial="2.71" current="2.86"/>
+<Version initial="2.71" current="2.87"/>
 <Content>
 <Text id="depositor-2">Collections built with the <i>Lucene</i> indexer support incremental addition, updates, and deletion of documents and metadata. By default, the <b>import</b> and <b>build</b> processes delete old index files in the <b>index</b> directory and intermediate files in the <b>archives</b> directory. With incremental building, the <b>import</b> and <b>build</b> process will keep the old files and only process the new or modified ones.</Text>
@@ -5226,5 +5226,5 @@
 <Text id="depositor-7">Enabling <AutoText key="coredm::_depositor:textdepositor_"/></Text>
 </Heading>
-<Text id="depositor-8">For Windows users, first make sure that you are using a Web Server (e.g. Apache) instead of the Local Library Server. The binary installation of Greenstone will install Apache, but by default the Local Library Server will be used. To switch to using Apache, <AutoText text="rename"/> the <Path>GSDLHOME &rarr; server.exe</Path> file to something else. Then re-run the Greenstone Server, from the <Path>Start &rarr; Greenstone Server</Path> menu followed by pressing its <b>Enter Library</b> button.</Text>
+<Text id="depositor-8">For Windows users, first make sure that you are using a Web Server (e.g. Apache) instead of the Local Library Server. The binary installation of Greenstone will install Apache, but by default the Local Library Server will be used. To switch to using Apache, <AutoText text="rename"/> the <Path>GSDLHOME &rarr; server.exe</Path> file to something else. Then re-run the Greenstone Server, from the <Path>Start &rarr; Greenstone Server</Path> menu if on Windows, followed by pressing its <b>Enter Library</b> button. (On unix systems, run <Format>./gs2-server.sh</Format> from Greenstone 2's installed location to start up the Greenstone server.)</Text>
 <Text id="depositor-access">Note: You might need to set permissions for the <Path>GSDLHOME &rarr; tmp</Path> and <Path>GSDLHOME &rarr; collect</Path> or <Path>GSDLHOME &rarr; collect &rarr; your_accessible_collection</Path> directory.</Text>
 <Text id="depositor-enable">In Greenstone, <AutoText key="coredm::_depositor:textdepositor_"/> is disabled by default. To enable it, edit the file <Path>GSDLHOME &rarr; etc &rarr; main.cfg</Path>. Look for the "depositor" line, and change <i>disabled</i> to <i>enabled</i>. Then save and close the file.</Text>
@@ -5268,5 +5268,5 @@
 <Text id="depositor-meta3">In the <AutoText key="coredm::_Global:textSubject_"/> field, type: </Text>
 <Format>Communication, Information and Documentation|Records and Archives Management Programme (RAMP) of  UNESCO, Archive Management</Format>
-<Text id="depositor-meta4">In <AutoText key="coredm::_Global:textKeyword_"/> field, type: </Text>
+<Text id="depositor-meta4">In the <AutoText key="coredm::_Global:textKeyword_"/> field, type: </Text>
 <Format>manage records and archives</Format>
 <Text id="depositor-meta5">Finally in the <AutoText key="coredm::_Global:textLanguage_"/> field, type: <Format>English</Format></Text>
@@ -5276,5 +5276,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="depositor-15">Click the <AutoText key="auxdm::_depositor:textbild_"/> button and wait for the process to finish. You will see the <AutoText key="auxdm::_wizard:textbildsuc_"/> message if the collection has been built successfully or error messages if something has gone wrong. </Text>
+<Text id="depositor-15">Click the <AutoText key="auxdm::_depositor:textbild_"/> button and wait for the process to finish. You will see the <i><AutoText key="auxdm::_wizard:textbildsuc_"/></i> message if the collection has been built successfully, or error messages if something has gone wrong. </Text>
 </NumberedItem>
 <NumberedItem>