Index: main/tags/2.83/gsdl/macros/nzdlhome.dm
===================================================================
--- main/tags/2.83/gsdl/macros/nzdlhome.dm	(revision 32020)
+++ main/tags/2.83/gsdl/macros/nzdlhome.dm	(revision 32033)
@@ -76,6 +76,6 @@
 <tr valign=top>
 <td>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="_httppagex_(gsdl)">About<br>Greenstone</a></td></tr></table>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.greenstone.org/english/docs.html">Greenstone<br>Documentation</a></td></tr></table>
+<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.greenstone.org/factsheet">Greenstone<br/>Facts</a></td></tr></table>
+<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://wiki.greenstone.org">Greenstone<br>Wiki</a></td></tr></table>
 </td>
 <td>_textsoftwareinfo_</td>
@@ -91,5 +91,5 @@
 <table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/projects.html">Projects</a></td></tr></table>
 <table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/software.html">Software<br>Downloads</a></td></tr></table>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=publicat">Publications</a></td></tr></table>
+<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/cgi-bin/library.cgi?a=p&p=about&c=publicat">Publications</a></td></tr></table>
 </td>
 <td>_textresearchinfo_</td>
@@ -165,5 +165,5 @@
 _textsoftwareinfo_ {
 <p>
-The <a href="http://www.greenstone.org">Greenstone Digital Library software</a> provides a new way of
+The <a href="http://www.greenstone.org">Greenstone Digital Library software</a> provides a way of
 organizing information and making it available over the Internet or on
 CD-ROM. It is open-source software, available under the terms of the
@@ -177,8 +177,8 @@
 
 <p>To subscribe to the Greenstone mailing list, go to <a
-href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users</a>.</p>
+href="https://list.waikato.ac.nz/mailman/listinfo/greenstone-users">https://list.waikato.ac.nz/mailman/listinfo/greenstone-users</a>.</p>
 
 <p align=right>
-<a href="_httppagex_(gsdl)">More...</a>
+<a href="http://www.greenstone.org">More...</a>
 }
 
@@ -235,9 +235,11 @@
 #######################################################################
 
-_nzdlgwcgi_ {library}
+_nzdlgwcgi_ {library.cgi}
 #_nzdlgwcgi_ {http://www.nzdl.org/cgi-bin/library}
-_nzdlhttpprefix_ {http://www.nzdl.org/gsdl}
-
-_nzdlcollection_ {library?a=p&p=about&c=_1_}
+##_nzdlhttpprefix_ {http://www.nzdl.org/gsdl}
+_nzdlhttpprefix_ {_httpprefix_}
+
+#_nzdlcollection_ {library.cgi?a=p&p=about&c=_1_}
+_nzdlcollection_ {_gwcgi_?a=p&p=about&c=_1_}
 #_nzdlcollection_ {http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=_1_}
 _nzdlcollectionimage_ {<img width=150 border=1 src="_nzdlhttpprefix_/collect/_1_/images/_2_" alt=_3_ title=_3_>}
@@ -247,4 +249,5 @@
 
 _nzdlcollectionlist_ {
+
 <center>
 <div class="divbar"><p class="navbar">_textdescrcolus_</p></div>
@@ -252,9 +255,9 @@
 <div class="divbar"><p class="navbar">_textdescrcolun_</p></div>
 <p>_collectfao_
-<div class="divbar"><p class="navbar">_textdescrcolde_</p></div>
-<p>_collectrest_
 <a name="greenstonedocumentationcollections"></a>
 <div class="divbar"><p class="navbar">_textdescrcolgd_</p></div>
 <p>_collectgd_
+<div class="divbar"><p class="navbar">_textdescrcolde_</p></div>
+<p>_collectrest_
 <a name="documentedexamplecollections"></a>
 <div class="divbar"><p class="navbar">_textdescrcoldec_</p></div>
@@ -272,5 +275,13 @@
 <p>_collectionlink_(literatu,  hdlsm.gif, "Literature for Vietnam", literatu)
 </td>
-</tr>
+<td align=center>
+<p>_collectionlink_(areu,  areu.png, "AREU (Afghanistan Research and Evaluation Unit) Library Catalogue", areu&t=0&m=-1&o=20)
+</td>
+</tr>
+<!--<tr valign=top>
+<td align=center>
+<p>_collectionlink_(acku, acku.png, "ACKU (Afghanistan Centre at Kabul University) Library Catalogue", acku&t=0&m=-1&o=20)
+</td>
+</tr>-->
 </table>
 }
@@ -290,5 +301,5 @@
 <p>_collectionlink_(nigeria, nigeriasm.gif, "Revitalizing Technical and Vocational Education in Nigeria", nigeria)
 <p>_collectionlink_(safem, safemsm.gif, "Safe Motherhood Strategies", safem)
-<p><a href="/cgi-bin/firstaid/library?a=p&p=about&c=firstaid&cl=0&l=en&w=utf-8"><img src="/custom/firstaid/collect/firstaid/images/colicon.jpg" border="1"></a>
+<p><a href="/custom/firstaid/cgi-bin/library?a=p&p=about&c=firstaid&cl=0&l=en&w=utf-8"><img src="/custom/firstaid/collect/firstaid/images/colicon.jpg" border="1"></a>
 </td>
 
@@ -328,5 +339,5 @@
 <td align=center>
 <p>_collectionlink_(acrodemo, acrodemosm.gif, "AGRIS: acronym extraction demo", acrodemo)
-<p><a href="library?a=p&p=about&c=niupepa&l=mi&nw=utf-8"><img width=150 border=1 src="_nzdlhttpprefix_/collect/niupepa/images/niupepsm.gif" alt="Niupepa: MÃ€ori Newspapers"></a>
+<p><a href="_gwcgi_?a=p&p=about&c=niupepa&l=mi&nw=utf-8"><img width=150 border=1 src="_nzdlhttpprefix_/collect/niupepa/images/niupepsm.gif" alt="Niupepa: MÃ€ori Newspapers"></a>
 <p>_collectionlink_(arabic,  arabic.gif,  "Arabic text collection", arabic&l=ar&nw=windows-1256)
 <p>_collectionlink_(chinese, chinsm.jpg,  "Chinese text collection", chinese&l=zh&nw=utf-8)
@@ -338,5 +349,5 @@
 
 <td align=center>
-<p><a href="/musiclib"><img src="_nzdlhttpprefix_/images/meldexsm.gif" border=1 alt="Meldex music library"></a>
+<p><a href="/musiclib"><img src="_nzdlhttpprefix_/web/images/meldexsm.gif" border=1 alt="Meldex music library"></a>
 <p>_collectionlink_(wordpdf, wordpdf.gif, "MSWord and PDF demo", wordpdf)
 <p>_collectionlink_(musvid, musvid\_frontpage.gif, "Music Videos", musvid)
@@ -369,5 +380,5 @@
 <td align=center>
 <p>_collectionlink_(gsarch, gsarch.gif, "Greenstone mailing list archive", gsarch)
-<p><a href="/howto"><img width=150 height=110 border=1 src="/custom/howto/images/front_cover_tiled.gif" alt="How to build a digital library"></a></td>
+<p><a href="/howto"><img width=150 height=187 border=1 src="/custom/howto2/web/images/howto2_cover_hp.gif" alt="How to build a digital library (2nd edition)"></a></td>
 <td align=center>
 <p>_collectionlink_(gsdocs, gsdocs.gif, "Greenstone Documentation collection", gsdocs)</td>
@@ -385,4 +396,5 @@
 <p>_collectionlink_(isis-e, en/isis-e.gif, "(Documented) CDS/ISIS collection", isis-e)
 <p>_collectionlink_(dspace-e, en/dspace-e.gif,"(Documented) DSpace example collection", dspace-e)
+<p>_collectionlink_(wiki-e, en/wiki-e.gif, "(Documented) MediaWiki example collection", wiki-e)
 </td>
 
@@ -392,4 +404,5 @@
 <p>_collectionlink_(MARC-e, en/MARC-e.gif, "(Documented) MARC example", MARC-e)
 <p>_collectionlink_(oai-e, en/oai-e.gif, "(Documented) OAI demo collection", oai-e)
+<p>_collectionlink_(assocext-e, en/assocext-e.gif, "(Documented) Associate file extension collection", assocext-e)
 </td>
 