Index: main/trunk/greenstone2/macros/nzdlhome.dm
===================================================================
--- main/trunk/greenstone2/macros/nzdlhome.dm	(revision 32001)
+++ main/trunk/greenstone2/macros/nzdlhome.dm	(revision 32034)
@@ -57,16 +57,10 @@
 <center><div class="divbar">&nbsp;</div></center>
 
-<p><center><h2>_textprojhead_</h2></center>
-
+<p><h2 id="about">_textprojhead_</h2>
+
+_textprojinfo_
+
+<hr/>
 <table border=0 cellpadding=5>
-
-<tr valign=top>
-<td>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/people.html">People</a></td></tr></table>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://greenstone.cs.uct.ac.za/gsdl/cgi-bin/library">African Digital Library Centre</a></td></tr></table>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://sadl.uleth.ca">Southern Alberta Digital Library Centre</a></td></tr></table>
-</td>
-<td>_textprojinfo_</td>
-</tr>
 
 <tr>
@@ -76,6 +70,6 @@
 <tr valign=top>
 <td>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="_httppagex_(gsdl)">About<br>Greenstone</a></td></tr></table>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.greenstone.org/english/docs.html">Greenstone<br>Documentation</a></td></tr></table>
+<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.greenstone.org/factsheet">Greenstone<br/>Facts</a></td></tr></table>
+<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://wiki.greenstone.org">Greenstone<br>Wiki</a></td></tr></table>
 </td>
 <td>_textsoftwareinfo_</td>
@@ -88,8 +82,8 @@
 <tr valign=top>
 <td>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/research.html">Research</a></td></tr></table>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/projects.html">Projects</a></td></tr></table>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/software.html">Software<br>Downloads</a></td></tr></table>
-<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=publicat">Publications</a></td></tr></table>
+<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://wiki.greenstone.org/doku.php?id=nzdl:index">Research</a></td></tr></table>
+<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://wiki.greenstone.org/doku.php?id=nzdl:people">People</a></td></tr></table>
+<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://wiki.greenstone.org/doku.php?id=nzdl:projects">Projects</a></td></tr></table>
+<table><tr valign="middle"><td>_icongbull_</td><td><a href="http://www.nzdl.org/cgi-bin/library.cgi?a=p&p=about&c=publicat">Publications</a></td></tr></table>
 </td>
 <td>_textresearchinfo_</td>
@@ -107,5 +101,5 @@
 <tr valign='top'>
 <td>
-<img src="_httpimg_/unescol.gif" alt="UNESCO" width=106 height=82>
+<img src="_httpimg_/unesco.gif" alt="UNESCO" width=106 height=82>
 </td>
 <td>_textaffiliateunesco_</td>
@@ -113,10 +107,13 @@
 
 <div class="divbar">&nbsp;</div>
+
 <table>
 <tr valign=top>
-<td>_textpoem_</td>
-<td>_imagegreenstone_</td>
+<td>_gsdl:textpoem_</td>
+<td style="padding-left:2cm; padding-top:2em;"><a href="_httpimg_/toki.png">_gsdl:imagetoki_</a></td>
 </tr></table>
-<p>_textgreenstone_
+
+_gsdl:textgreenstone_
+_gsdl:texttoki_
 
 <p>
@@ -150,13 +147,4 @@
 technology for digital libraries and make it available publicly so that
 others can use it to create their own collections. 
-<p>
-Our web site provides several document collections, including historical
-documents, humanitarian and development information, computer
-science technical reports and bibliographies, literary works, and
-magazines. All are available over the Web, and can be accessed
-through searching and browsing interfaces provided by the
-Greenstone digital library software. Behind the query interface lies a
-huge collection providing gigabytes of information. We hope you find
-what you want, or at least something intriguing!
 }
 
@@ -165,7 +153,6 @@
 _textsoftwareinfo_ {
 <p>
-The <a href="http://www.greenstone.org">Greenstone Digital Library software</a> provides a new way of
-organizing information and making it available over the Internet or on
-CD-ROM. It is open-source software, available under the terms of the
+The <a href="http://www.greenstone.org">Greenstone Digital Library software</a> provides a way of
+organizing information and making it available over the Internet or on removable media such as DVD or USB thumb drive. It is open-source software, available under the terms of the
 Gnu public license. 
 <p>
@@ -176,9 +163,6 @@
 ways while retaining a strong family resemblance. 
 
-<p>To subscribe to the Greenstone mailing list, go to <a
-href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users</a>.</p>
-
 <p align=right>
-<a href="_httppagex_(gsdl)">More...</a>
+<a href="http://www.greenstone.org">More...</a>
 }
 
@@ -195,8 +179,8 @@
 <p>
 Project members are actively working on techniques for creating,
-managing, and and mainatining collections; extracting metadata from
+managing, and maintaining collections; extracting metadata from
 legacy documents; analysing library usage and user needs; Maori,
 Arabic and Chinese language systems; internationalising the library
-interface; optical music recognition and musical collections; novel
+interface; music information retrieval; novel
 interfaces for formulating queries and visualising results; novel
 interfaces for browsing metadata; text mining for keyphrases,
@@ -204,5 +188,5 @@
 phrase-based browsing; and other research topics. 
 <p align=right>
-<a href="http://www.nzdl.org/html/research.html">More...</a>
+<a href="http://wiki.greenstone.org/doku.php?id=nzdl:index">More...</a>
 }
 
@@ -235,13 +219,18 @@
 #######################################################################
 
-_nzdlgwcgi_ {library}
+_nzdlgwcgi_ {library.cgi}
 #_nzdlgwcgi_ {http://www.nzdl.org/cgi-bin/library}
 _nzdlhttpprefix_ {http://www.nzdl.org/gsdl}
 
-_nzdlcollection_ {library?a=p&p=about&c=_1_}
+_nzdlcollection_ {library.cgi?a=p&p=about&c=_1_}
 #_nzdlcollection_ {http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=_1_}
 _nzdlcollectionimage_ {<img width=150 border=1 src="_nzdlhttpprefix_/collect/_1_/images/_2_" alt=_3_ title=_3_>}
 
+_deccollectionimage_{<div class="deccollectiontitle" style="font-size: 16px; font-weight: bold; color: black; width: 150px; height: 90px; border: 1px solid; white-space:normal; text-align: left; background-image: url('_httpimages_/cog.gif');">_1_</div>}
+_plaincollectionimage_{<div class="collecttitle" style="width:150px; border: 1px solid;"><p class="collectiontitle" style="font-size: 16px; color: black; width: 150px; white-space:normal; text-align: left;">_1_</p></div>}
+
 _collectionlink_ {<a href="_nzdlcollection_(_4_)">_nzdlcollectionimage_(_1_,_2_,_3_)</a>}
+_deccollectionlink_ {<a href="_nzdlcollection_(_1_)" style="text-decoration: none;">_deccollectionimage_(_2_)</a>}
+_plaincollectionlink_{<a href="_1_" style="text-decoration: none; color:black;">_plaincollectionimage_(_2_)</a>}
 
 
@@ -252,9 +241,9 @@
 <div class="divbar"><p class="navbar">_textdescrcolun_</p></div>
 <p>_collectfao_
-<div class="divbar"><p class="navbar">_textdescrcolde_</p></div>
-<p>_collectrest_
 <a name="greenstonedocumentationcollections"></a>
 <div class="divbar"><p class="navbar">_textdescrcolgd_</p></div>
 <p>_collectgd_
+<div class="divbar"><p class="navbar">_textdescrcolde_</p></div>
+<p>_collectrest_
 <a name="documentedexamplecollections"></a>
 <div class="divbar"><p class="navbar">_textdescrcoldec_</p></div>
@@ -272,5 +261,13 @@
 <p>_collectionlink_(literatu,  hdlsm.gif, "Literature for Vietnam", literatu)
 </td>
-</tr>
+<td align=center>
+<p>_collectionlink_(areu,  areu.png, "AREU (Afghanistan Research and Evaluation Unit) Library Catalogue", areu&t=0&m=-1&o=20)
+</td>
+</tr>
+<!--<tr valign=top>
+<td align=center>
+<p>_collectionlink_(acku, acku.png, "ACKU (Afghanistan Centre at Kabul University) Library Catalogue", acku&t=0&m=-1&o=20)
+</td>
+</tr>-->
 </table>
 }
@@ -290,5 +287,5 @@
 <p>_collectionlink_(nigeria, nigeriasm.gif, "Revitalizing Technical and Vocational Education in Nigeria", nigeria)
 <p>_collectionlink_(safem, safemsm.gif, "Safe Motherhood Strategies", safem)
-<p><a href="/cgi-bin/firstaid/library?a=p&p=about&c=firstaid&cl=0&l=en&w=utf-8"><img src="/custom/firstaid/collect/firstaid/images/colicon.jpg" border="1"></a>
+<p><a href="/custom/firstaid/cgi-bin/library?a=p&p=about&c=firstaid&cl=0&l=en&w=utf-8"><img src="/custom/firstaid/collect/firstaid/images/colicon.jpg" border="1"></a>
 </td>
 
@@ -328,5 +325,5 @@
 <td align=center>
 <p>_collectionlink_(acrodemo, acrodemosm.gif, "AGRIS: acronym extraction demo", acrodemo)
-<p><a href="library?a=p&p=about&c=niupepa&l=mi&nw=utf-8"><img width=150 border=1 src="_nzdlhttpprefix_/collect/niupepa/images/niupepsm.gif" alt="Niupepa: MÃ€ori Newspapers"></a>
+<p><a href="_gwcgi_?a=p&p=about&c=niupepa&l=mi&nw=utf-8"><img width=150 border=1 src="_nzdlhttpprefix_/collect/niupepa/images/niupepsm.gif" alt="Niupepa: MÃ€ori Newspapers"></a>
 <p>_collectionlink_(arabic,  arabic.gif,  "Arabic text collection", arabic&l=ar&nw=windows-1256)
 <p>_collectionlink_(chinese, chinsm.jpg,  "Chinese text collection", chinese&l=zh&nw=utf-8)
@@ -335,8 +332,10 @@
 <p>_collectionlink_(tidbits, tidbitsm.gif, "TidBITS", tidbits)
 <p>_collectionlink_(workingp, wp_logo.png, "Working Papers\, Dept of Computer Science\, University of Waikato", workingp)
-</td>
-
-<td align=center>
-<p><a href="/musiclib"><img src="_nzdlhttpprefix_/images/meldexsm.gif" border=1 alt="Meldex music library"></a>
+<p><a href="/custom/iarchive/cgi-bin/library?site=localhost&a=p&p=about&c=ebooks&ct=1&qto=3&l=en&w=utf-8"><img width="150" src="/custom/iarchive/images/looknfeel/images/logo.jpg" border=1 alt="Internet Archive collection"></a>
+</td>
+
+<td align=center>
+<p><a href="/custom/music/cgi-bin/musiclibrary"><img src="_nzdlhttpprefix_/images/meldexsm.gif" border=1 alt="Meldex music library"></a>
+<p><a href="/custom/musiccollage/cgi-bin/library"><img src="/custom/musiccollage/images/muscollage.gif" border=1 alt="Music Collage Demo"></a>
 <p>_collectionlink_(wordpdf, wordpdf.gif, "MSWord and PDF demo", wordpdf)
 <p>_collectionlink_(musvid, musvid\_frontpage.gif, "Music Videos", musvid)
@@ -357,4 +356,6 @@
 <p>_collectionlink_(jair, jair-sm.gif, "Journal of Artificial Intelligence Research", jair)
 <p>_collectionlink_(lomdemo,ieeelom_sm.gif,"IEEE LOM Demonstration", lomdemo)
+<p>_plaincollectionlink_('//community.nzdl.org/custom/gsdl-instrep/cgi-bin/linux/library.cgi', 'Institutional Repository Demo')
+<p><a href="/custom/maori-council/cgi-bin/library.cgi?site=localhost&a=p&p=about&c=sir-graham-latimer&l=en&w=utf-8"><img width="150" src="/custom/maori-council/collect/sir-graham-latimer/images/nzmcLogo.gif" border=1 alt="Sir Graham Latimer Symposium collection"></a>
 </td>
 
@@ -369,5 +370,5 @@
 <td align=center>
 <p>_collectionlink_(gsarch, gsarch.gif, "Greenstone mailing list archive", gsarch)
-<p><a href="/howto"><img width=150 height=110 border=1 src="/custom/howto/images/front_cover_tiled.gif" alt="How to build a digital library"></a></td>
+<p><a href="/howto"><img width=150 height=187 border=1 src="/custom/howto2/web/images/howto2_cover_hp.gif" alt="How to build a digital library (2nd edition)"></a></td>
 <td align=center>
 <p>_collectionlink_(gsdocs, gsdocs.gif, "Greenstone Documentation collection", gsdocs)</td>
@@ -380,24 +381,27 @@
 
 <td align=center>
-<p>_collectionlink_(dls-e, en/dls-e.gif, "(Documented) Development Library Subset collection", dls-e)
-<p>_collectionlink_(wrdpdf-e, en/wrdpdf-e.gif, "(Documented) MSWord and PDF demonstration", wrdpdf-e)
-<p>_collectionlink_(gsarch-e, en/gsarch-e.gif, "(Documented) Greenstone Archives collection", gsarch-e)
-<p>_collectionlink_(isis-e, en/isis-e.gif, "(Documented) CDS/ISIS collection", isis-e)
-<p>_collectionlink_(dspace-e, en/dspace-e.gif,"(Documented) DSpace example collection", dspace-e)
-</td>
-
-<td align=center>
-<p>_collectionlink_(cltbib-e, en/cltbib-e.gif, "(Documented) bibliography collection", cltbib-e)
-<p>_collectionlink_(image-e, en/image-e.gif, "(Documented) simple image collection", image-e)
-<p>_collectionlink_(MARC-e, en/MARC-e.gif, "(Documented) MARC example", MARC-e)
-<p>_collectionlink_(oai-e, en/oai-e.gif, "(Documented) OAI demo collection", oai-e)
-</td>
-
-<td align=center>
-<p>_collectionlink_(cltext-e, en/cltext-e.gif, "(Documented) bibliography supplement", cltext-e)
-<p>_collectionlink_(pagedimg-e, en/pagedimg-e.gif, "(Documented) paged image collection", pagedimg-e)
-<p>_collectionlink_(garish, en/garish.gif, "(Documented) Garish version of demo collection", garish)
-<p>_collectionlink_(authen-e, en/authen-e.gif, "(Documented) Formatting and authentication demo", authen-e)
-<p>_collectionlink_(style-e, en/style-e.gif, "(Documented) Cascading Stylesheets collection", style-e)
+<p> </p>_deccollectionlink_(dls-e, 'Development Library Subset collection')
+<p> </p>_deccollectionlink_(wrdpdf-e, 'MSWord and PDF demonstration')
+<p> </p>_deccollectionlink_(gsarch-e, 'Greenstone Archives collection')
+<p> </p>_deccollectionlink_(isis-e, 'CDS/ISIS collection')
+<p> </p>_deccollectionlink_(dspace-e, 'DSpace example collection')
+<p> </p>_deccollectionlink_(wiki-e, 'MediaWiki example collection')
+</td>
+
+<td align=center>
+<p> </p>_deccollectionlink_(cltbib-e, 'Bibliography collection')
+<p> </p>_deccollectionlink_(image-e, 'Simple image collection')
+<p> </p>_deccollectionlink_(MARC-e, 'MARC example')
+<p> </p>_deccollectionlink_(oai-e, 'OAI demo collection')
+<p> </p>_deccollectionlink_(assocext-e, 'Associate file extension collection')
+</td>
+
+<td align=center>
+<p> </p>_deccollectionlink_(cltext-e, 'Bibliography supplement')
+<p> </p>_deccollectionlink_(pagedimg-e, 'Paged Image collection')
+<p> </p>_deccollectionlink_(garish, 'Garish version of demo collection')
+<p> </p>_deccollectionlink_(authen-e, 'Formatting and authentication demo')
+<p> </p>_deccollectionlink_(style-e, 'Cascading Stylesheets collection')
+
 </td>
 
@@ -406,5 +410,2 @@
 }
 
-
-# bbc no longer public
-#<p>_collectionlink_(bbc1, bbc_home.gif, "BBC archives (1900-1985)", bbc1)