Index: /main/trunk/release-kits/shared/linux/README
===================================================================
--- /main/trunk/release-kits/shared/linux/README	(revision 32042)
+++ /main/trunk/release-kits/shared/linux/README	(revision 32043)
@@ -2,17 +2,29 @@
 _________________________________
 
-1. You need 7za and 7zCon.sfx from the p7z-essentials folder to generate the self-extracting jre from the jre
+1. You need 7za and 7zCon.sfx from the p7z-essentials folder to generate the self-extracting jre from the jre. Check in the bitness subfolder (32-bit or 64-bit) appropriate to the target bitness of your self-extracting binary.
+
+On a mac or linux, you need to compile these two binaries 7za and 7zCon.sfx up yourself by downloading the p7zip source code from online http://p7zip.sourceforge.net/. Compile the source code by first runnng "make" to build the 7za, then run "make sfx" to build the 7zCon.sfx binary.
 
 2. Need the jre for your java version.
 Java 8 should be used for Expeditee.
-The jre should be extracted into a folder named jre. Also, don't make it a tar file for Expeditee. (Greenstone expects the jre to be tarred up first.)
+The jre should be extracted into a folder named jre. Also, don't make it a tar file for Expeditee. But Greenstone expects the jre to be tarred up first.
+
+If the self-extracting jre_bin binary should run on a 64 bit machine, use the 64 bit 7za compiled up in the 64-bit subfolder (this will use the associated 64 bit 7zCon.sfx library in the same subfolder). For a 32 bit machine, use the 32 bit 7za in the 32-bit subfolder.
 
 3. Run:
-./p7z-essentials/7za a -sfx -mx=9 jre_bin[_x64] /path/to/your-jdk-version/jre
+./p7z-essentials/[32|64]-bit/7za a -sfx -mx=9 jre_bin[_x64] /path/to/your-jdk-version/jre[.tar]
+
+   e.g. for a 32 bit target, you'd run the following on a 32 bit LSB if creating the self-extracting binary for Expeditee:
+   ./p7z-essentials/32-bit/7za a -sfx -mx=9 jre_bin /path/to/your-jdk-version/jre
+
+   e.g. for a 64 bit target, you'd run the following on a 64 bit LSB, if creating the self-extracting binary for Greenstone:
+   ./p7z-essentials/64-bit/7za a -sfx -mx=9 jre_bin_x64 /path/to/your-jdk-version/jre.tar
 
 * -m0=lzma2 is already done automatically, setting the compression mode to lzma2.
-* -mx=9 set its to ultra (compression? speed?)
+* -mx=9 set its (compression? speed?) to ultra
 * the output file name expected by the release-kit is jre_bin for 32 bit linux, jre_bin_x64 for 64 bit linux
 * -sfx indicates that it will generate a self-extracting binary out of the input file
 * the "a" indicates it will add the files from the input folder (the /path/to/your-jdk-version/jre in this case) to the output file
 
+
+For acquiring a JRE (for Macs) see the README in shared/mac.
Index: /main/trunk/release-kits/shared/mac/README
===================================================================
--- /main/trunk/release-kits/shared/mac/README	(revision 32042)
+++ /main/trunk/release-kits/shared/mac/README	(revision 32043)
@@ -2,11 +2,11 @@
 _________________________________
 
-1. You need 7za and 7zCon.sfx from the p7z-essentials folder to generate the self-extracting jre from the jre
+1. You need 7za and 7zCon.sfx from the p7z-essentials folder to generate the self-extracting jre from the jre. Check in the bitness subfolder (32-bit or 64-bit) appropriate to the target bitness of your self-extracting binary.
 
-On a mac or linux, you need to compile these two binaries up yourself by downloading the p7zip source code from online http://p7zip.sourceforge.net/. Compile the source code by first runnng "make" to build the 7za, then run "make sfx" to build the 7zCon.sfx binary.
+On a mac or linux, you need to compile these two binaries 7za and 7zCon.sfx up yourself by downloading the p7zip source code from online http://p7zip.sourceforge.net/. Compile the source code by first runnng "make" to build the 7za, then run "make sfx" to build the 7zCon.sfx binary.
 
 2. Need the jre for your java version.
 Java 8 should be used for Expeditee.
-The jre should be extracted into a folder named jre. Also, don't make it a tar file for Expeditee. (Greenstone expects the jre to be tarred up first.)
+The jre should be extracted into a folder named jre. Also, don't make it a tar file for Expeditee. But Greenstone expects the jre to be tarred up first.
 
 If the self-extracting jre_bin binary should run on a 64 bit machine, use the 64 bit 7za compiled up in the 64-bit subfolder (this will use the associated 64 bit 7zCon.sfx library in the same subfolder). For a 32 bit machine, use the 32 bit 7za in the 32-bit subfolder.
@@ -15,6 +15,12 @@
 ./p7z-essentials/[32|64]-bit/7za a -sfx -mx=9 jre_bin[_x64] /path/to/your-jdk-version/jre[.tar]
 
+   e.g. for a 32 bit target, you'd run the following on a 32 bit LSB if creating the self-extracting binary for Expeditee:
+   ./p7z-essentials/32-bit/7za a -sfx -mx=9 jre_bin /path/to/your-jdk-version/jre
+
+   e.g. for a 64 bit target, you'd run the following on a 64 bit LSB, if creating the self-extracting binary for Greenstone:
+   ./p7z-essentials/64-bit/7za a -sfx -mx=9 jre_bin_x64 /path/to/your-jdk-version/jre.tar
+
 * -m0=lzma2 is already done automatically, setting the compression mode to lzma2.
-* -mx=9 set its to ultra (compression? speed?)
+* -mx=9 set its (compression? speed?) to ultra
 * the output file name expected by the release-kit is jre_bin for 32 bit linux, jre_bin_x64 for 64 bit linux
 * -sfx indicates that it will generate a self-extracting binary out of the input file
@@ -30,5 +36,5 @@
 2. From the extracted contents, the folder you want is jre<version>.jre/Contents/Home. Rename this Home subfolder to "jre".
 3. Tar it up and create the self-extracting jre (the final step of the instructions above):
-	./p7z-essentials/7za a -sfx -mx=9 jre_bin_x64 jre.tar
+	./p7z-essentials/64-bit/7za a -sfx -mx=9 jre_bin_x64 jre.tar
 
 