Index: /main/trunk/greenstone2/bin/script/gti.pl
===================================================================
--- /main/trunk/greenstone2/bin/script/gti.pl	(revision 32095)
+++ /main/trunk/greenstone2/bin/script/gti.pl	(revision 32096)
@@ -773,4 +773,6 @@
 	&FileUtils::copyFilesRecursiveNoSVN($en_helpxml_file, $glihelp_lang_dir);
 
+	# The following file reading section is a candidate to use FileUtils::readUTF8File()
+	# in place of calling sysread() directly. But only if we can reason we'd be working with UTF8
 	# In gli/help/<newlang>/help.xml, replace all occurrences of 
 	# <Text id="1">This text in en will be removed for new langcode</Text> 
Index: /main/trunk/greenstone2/bin/script/replace_srcdoc_with_html.pl
===================================================================
--- /main/trunk/greenstone2/bin/script/replace_srcdoc_with_html.pl	(revision 32095)
+++ /main/trunk/greenstone2/bin/script/replace_srcdoc_with_html.pl	(revision 32096)
@@ -187,4 +187,6 @@
     }
 
+    # The following file reading section is a candidate to use FileUtils::readUTF8File()
+    # in place of calling sysread() directly. But only if we can reason we'd be working with UTF8
     # Now we know we have no file name collisions. We 'move' the html file by copying its
     # contents over and ensuring that these contents are utf8. If we don't do this, PDFs
Index: /main/trunk/greenstone2/perllib/plugins/HTMLPlugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/HTMLPlugin.pm	(revision 32095)
+++ /main/trunk/greenstone2/perllib/plugins/HTMLPlugin.pm	(revision 32096)
@@ -962,5 +962,7 @@
 	
 	my $css_filename_dirname = &File::Basename::dirname($css_filename);
-	
+
+	# The following file reading section is a candidate to use FileUtils::readUTF8File()
+	# in place of calling sysread() directly. But only if we can reason we'd be working with UTF8
 	open (CSSFILE, $css_filename) || return;
 	sysread (CSSFILE, my $file_string, -s CSSFILE);
Index: /main/trunk/greenstone2/perllib/plugins/ReadTextFile.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/ReadTextFile.pm	(revision 32095)
+++ /main/trunk/greenstone2/perllib/plugins/ReadTextFile.pm	(revision 32096)
@@ -216,4 +216,8 @@
      
     if ($encoding eq "ascii") {
+	# The following file reading section is a candidate to use FileUtils::readUTF8File()
+	# in place of calling sysread() directly. But only if we can reason we'd be working with UTF8.
+	# ascii is UTF8, but it may become inefficient to treat ascii as utf8
+	
 	# Replace file 'slurp' with faster implementation
 	sysread(FILE, $$textref, -s FILE);
Index: /main/trunk/greenstone2/perllib/servercontrol.pm
===================================================================
--- /main/trunk/greenstone2/perllib/servercontrol.pm	(revision 32095)
+++ /main/trunk/greenstone2/perllib/servercontrol.pm	(revision 32096)
@@ -201,5 +201,7 @@
 	    # check the page content is as expected
 	    #my $resultstr = $response_content;
-		
+
+	        # The following file reading section is a candidate to use FileUtils::readUTF8File()
+    # in place of calling sysread() directly. But only if we can reason we'd be working with UTF8
 		open(FIN,"<$tmpfilename") or die "servercontrol.pm: Unable to open $tmpfilename to read ping response page...ERROR: $!\n";
 		my $resultstr;
Index: /main/trunk/greenstone2/perllib/util.pm
===================================================================
--- /main/trunk/greenstone2/perllib/util.pm	(revision 32095)
+++ /main/trunk/greenstone2/perllib/util.pm	(revision 32096)
@@ -1280,5 +1280,6 @@
 	    # check llssite.cfg for line with url property
 	    # for server.exe also need to use portnumber and enterlib properties			
-	    
+	    # The following file reading section is a candidate to use FileUtils::readUTF8File()
+	    # in place of calling sysread() directly. But only if we can reason we'd be working with UTF8
 	    # Read in the entire contents of the file in one hit
 	    if (!open (FIN, $llssite_cfg)) {